------------------------------------------------------------------------

# CancerSubtypes: an R/Bioconductor package for molecular cancer subtype identification, validation, and visualization

[![AppVeyor Build Status](https://ci.appveyor.com/api/projects/status/github/taoshengxu/CancerSubtypes?branch=master&svg=true)](https://ci.appveyor.com/project/taoshengxu/CancerSubtypes)
[![bioc](http://www.bioconductor.org/shields/downloads/CancerSubtypes.svg)](http://bioconductor.org/packages/stats/bioc/CancerSubtypes.html)
[![bioc](http://www.bioconductor.org/shields/years-in-bioc/CancerSubtypes.svg)](http://bioconductor.org/packages/CancerSubtypes/)
[![bioc](http://bioconductor.org/shields/availability/devel/CancerSubtypes.svg)](http://bioconductor.org/packages/CancerSubtypes/)
[![bioc](http://www.bioconductor.org/shields/build/release/bioc/CancerSubtypes.svg)](http://bioconductor.org/checkResults/release/bioc-LATEST/CancerSubtypes.html)

The R/Bioconductor package `CancerSubtypes` integrates the current common computational biology methods for cancer subtypes identification and provides a standardized framework for cancer subtype analysis based multi-omics data, such as gene expression, miRNA expression, DNA methylation and others.

------------------------------------------------------------------------

## Installing CancerSubtypes

```{r,eval=FALSE,warning=FALSE,message=FALSE}
devtools::install_github("taoshengxu/CancerSubtypes")
```
------------------------------------------------------------------------

## Manual
Tutorial and examples can be found  [here](https://bioconductor.org/packages/devel/bioc/vignettes/CancerSubtypes/inst/doc/CancerSubtypes-vignette.html).

<!--(http://htmlpreview.github.io/?https://github.com/taoshengxu/Documents/blob/master/CancerSubtypes-vignette.html)-->


------------------------------------------------------------------------

## Citation
Please cite the following article when using `CancerSubtypes`:

[![doi](https://img.shields.io/badge/doi-10.1093/bioinformatics/btx378-green.svg?style=flat)](https://doi.org/10.1093/bioinformatics/btx378) [![citation](https://img.shields.io/badge/cited%20by-0-green.svg?style=flat)](https://doi.org/10.1093/bioinformatics/btx378) [![Altmetric](https://img.shields.io/badge/Altmetric-2-green.svg?style=flat)](https://www.altmetric.com/details/21038105)

Xu, T. et al. CancerSubtypes: an R/Bioconductor package for molecular cancer subtype identification, validation, and visualization. Bioinformatics (2017) [doi:10.1093/bioinformatics/btx378](https://doi.org/10.1093/bioinformatics/btx378).